
TextCritical.net - Bug #486

Support words with multiple genders

12/22/2012 08:41 PM - Luke Murphey

Status: Closed Start date: 12/23/2012

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.2   

Description

Some words in the database are listed with multiple genders. Consider the following example (ζῳωδεστέροις):

{49599819 9 zw|w/dhs    like an animal    masc/neut dat comp pl}

 

The database needs to be updated to allow multiple genders to be associated. 121977 entries are affected (about 8%).

Subtasks:

Task # 487: Update model to store gender as a many-to-many field Closed

Task # 488: Update Diogenes importer to store multiple genders Closed

Task # 489: Update tests to work with multiple gender word descriptions Closed

Task # 490: Update admin model to use support multiple genders Closed

History

#1 - 12/24/2012 05:04 AM - Luke Murphey

- Status changed from New to In Progress

#2 - 12/24/2012 07:41 AM - Luke Murphey

I dropped the related database tables with:

drop table reader_worddescription;

drop table reader_worddescription_dialects;

drop table reader_worddescription_cases;

#3 - 12/27/2012 04:57 AM - Luke Murphey

- Status changed from In Progress to Closed
